### Method

# Adw NavigationPageset_can_pop

since: 1.4

#### Declaration [src]

    void
    adw_navigation_page_set_can_pop (
      AdwNavigationPage* self,
      gboolean can_pop
    )

#### Description [src]

Sets whether `self` can be popped from navigation stack.

Set it to `FALSE` to disable shortcuts and gestures, as well as remove the back button from `AdwHeaderBar`.

Manually calling `adw_navigation_view_pop()` or using the `navigation.pop` action will still work.

See `AdwHeaderBar:show-back-button` for removing only the back button, but not shortcuts.

Available since: 1.4

Sets property | `Adw.NavigationPage:can-pop`

#### Parameters

`can_pop`

  Type: `gboolean`

  Whether the page can be popped from navigation stack.